com.fasterxml.aalto.stax

## Class OutputFactoryImpl

- java.lang.Object
- - javax.xml.stream.XMLOutputFactory
  - - org.codehaus.stax2.XMLOutputFactory2
    - - com.fasterxml.aalto.stax.OutputFactoryImpl

- All Implemented Interfaces:
    org.codehaus.stax2.XMLStreamProperties

      public final class OutputFactoryImpl
      extends org.codehaus.stax2.XMLOutputFactory2

  Basic implementation of `XMLOutputFactory`.
  Author:
    Tatu Saloranta

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected WriterConfig` | `_config`

    - ### Fields inherited from class org.codehaus.stax2.XMLOutputFactory2

      `P_ATTR_VALUE_ESCAPER, P_AUTO_CLOSE_OUTPUT, P_AUTOMATIC_EMPTY_ELEMENTS, P_AUTOMATIC_NS_PREFIX, P_TEXT_ESCAPER`

    - ### Fields inherited from class javax.xml.stream.XMLOutputFactory

      `IS_REPAIRING_NAMESPACES`

    - ### Fields inherited from interface org.codehaus.stax2.XMLStreamProperties

      `XSP_IMPLEMENTATION_NAME, XSP_IMPLEMENTATION_VERSION, XSP_NAMESPACE_AWARE, XSP_PROBLEM_REPORTER, XSP_SUPPORT_XMLID, XSP_SUPPORTS_XML11, XSP_V_XMLID_FULL, XSP_V_XMLID_NONE, XSP_V_XMLID_TYPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputFactoryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureForRobustness()`
    `void` | `configureForSpeed()`
    `void` | `configureForXmlConformance()`
    `XMLEventWriter` | `createXMLEventWriter(OutputStream out)`
    `XMLEventWriter` | `createXMLEventWriter(OutputStream out, String enc)`
    `XMLEventWriter` | `createXMLEventWriter(Result result)`
    `XMLEventWriter` | `createXMLEventWriter(Writer w)`
    `XMLEventWriter` | `createXMLEventWriter(Writer w, String enc)`
    `XMLEventWriter` | `createXMLEventWriter(XMLStreamWriter sw)`
    `XMLStreamWriter` | `createXMLStreamWriter(OutputStream out)`
    `XMLStreamWriter` | `createXMLStreamWriter(OutputStream out, String enc)`
    `XMLStreamWriter` | `createXMLStreamWriter(Result result)`
    `XMLStreamWriter` | `createXMLStreamWriter(Writer w)`
    `org.codehaus.stax2.XMLStreamWriter2` | `createXMLStreamWriter(Writer w, String enc)`
    `Object` | `getProperty(String name)`
    `boolean` | `isPropertySupported(String name)`
    `void` | `setProperty(String name, Object value)`

    - ### Methods inherited from class javax.xml.stream.XMLOutputFactory

      `newFactory, newFactory, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _config

          protected final WriterConfig _config

  - ### Constructor Detail

    - #### OutputFactoryImpl

          public OutputFactoryImpl()

  - ### Method Detail

    - #### createXMLEventWriter

          public XMLEventWriter createXMLEventWriter(OutputStream out)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventWriter

          public XMLEventWriter createXMLEventWriter(OutputStream out,
                                            String enc)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventWriter

          public XMLEventWriter createXMLEventWriter(Result result)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLEventWriter

          public XMLEventWriter createXMLEventWriter(Writer w)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamWriter

          public XMLStreamWriter createXMLStreamWriter(OutputStream out)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamWriter

          public XMLStreamWriter createXMLStreamWriter(OutputStream out,
                                              String enc)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamWriter

          public XMLStreamWriter createXMLStreamWriter(Result result)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamWriter

          public XMLStreamWriter createXMLStreamWriter(Writer w)
                                                throws XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `XMLOutputFactory`
      Throws:
        `XMLStreamException`

    - #### getProperty

          public Object getProperty(String name)

      Specified by:
        `getProperty` in class `XMLOutputFactory`

    - #### isPropertySupported

          public boolean isPropertySupported(String name)

      Specified by:
        `isPropertySupported` in class `XMLOutputFactory`

    - #### setProperty

          public void setProperty(String name,
                         Object value)

      Specified by:
        `setProperty` in class `XMLOutputFactory`

    - #### createXMLEventWriter

          public XMLEventWriter createXMLEventWriter(Writer w,
                                            String enc)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `org.codehaus.stax2.XMLOutputFactory2`
      Throws:
        `XMLStreamException`

    - #### createXMLEventWriter

          public XMLEventWriter createXMLEventWriter(XMLStreamWriter sw)
                                              throws XMLStreamException

      Specified by:
        `createXMLEventWriter` in class `org.codehaus.stax2.XMLOutputFactory2`
      Throws:
        `XMLStreamException`

    - #### createXMLStreamWriter

          public org.codehaus.stax2.XMLStreamWriter2 createXMLStreamWriter(Writer w,
                                                                  String enc)
                                                                    throws XMLStreamException

      Specified by:
        `createXMLStreamWriter` in class `org.codehaus.stax2.XMLOutputFactory2`
      Throws:
        `XMLStreamException`

    - #### configureForXmlConformance

          public void configureForXmlConformance()

      Specified by:
        `configureForXmlConformance` in class `org.codehaus.stax2.XMLOutputFactory2`

    - #### configureForRobustness

          public void configureForRobustness()

      Specified by:
        `configureForRobustness` in class `org.codehaus.stax2.XMLOutputFactory2`

    - #### configureForSpeed

          public void configureForSpeed()

      Specified by:
        `configureForSpeed` in class `org.codehaus.stax2.XMLOutputFactory2`

Copyright © 2012-2015 FasterXML. All Rights Reserved.